Do i need to update A9LH to B9S?

Discussion in '3DS - Flashcards & Custom Firmwares' started by parisi, Jul 24, 2017.

  1. parisi
    OP

    parisi GBAtemp Regular

    Member
    161
    7
    Aug 21, 2015
    Gambia, The
    I have some time that i havent used my 3ds. Im on 11.4 cfw version and 7.04 luma version. Ive seen that a lot of people have switched from a9lh to b9s. Whats the difference between these two? Should i update it or its not necessary?
     
  2. Adeka

    Adeka Beta Tester

    Member
    4,086
    1,266
    Mar 19, 2013
    United States
    luma no longer supports a9lh so once a 3ds update breaks luma 7.0.5 you will be forced to update
     
    parisi and wormdood like this.
  3. wormdood

    wormdood pirate booty inspector

    Member
    3,361
    1,411
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    just to add to this b9s also boots even faster than a9lh
     
    parisi likes this.
  4. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,704
    20,412
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    You should update and it's necessary to update to B9S for future CFW updates (including both Luma3DS, ReiNAND, and most likely any future CFW to come.)
    B9S is basically the upgrade version of A9LH, which allows for more technical features to be achieved for devs due to the deeper hardware access.. For the enduser it's a faster entrypoint that allows deeper access to the system's hardware.
    But the most important feature is going to be future updates. Since recent games like Ever Oasis added a new encryption method, it's best to assume that future games will follow. Which means earlier CFWs will start loosing support for future games.
     
    parisi and wormdood like this.
  5. gnmmarechal

    gnmmarechal Kirigiri > Naoto

    Member
    GBAtemp Patron
    gnmmarechal is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,536
    2,718
    Jul 13, 2014
    Portugal
    https://gs2012.xyz
    Basically, Boot9Strap is now the "standard" entrypoint of the scene. As such, any new CFWs and tools will most likely be mainly aimed at and tested with it.

    In addition to that, some CFWs outright dropped support for ARM9LoaderHax (Luma3DS being one of those). Which means, in this case, that no new Luma release will be made for A9LH.
     
    parisi likes this.
  6. CrispyCola

    CrispyCola GBAtemp Regular

    Member
    224
    44
    Feb 8, 2017
    United States
    Sand
    No.
    There really isnt any need to.
    Yea, it is technically a faster entrypoint. However, it's so miniscule no one in hell will have a chance of noticing it. Also, everyone's saying Luma in A9LH format could be patched in an update, but since when has anyone agreed that a9lh could be patched. Even if there is an update, there's a marvelous invention called declining the update. Also, B9S is a bit more tedious to update and work with etc in my opinion.
    Apologies if i was incorrect on anything, been out of the 3DS loop since March.
    Sent from my iPhone using Tapatalk
     
    Last edited by CrispyCola, Jul 25, 2017
  7. TheLegendofMario

    TheLegendofMario GBAtemp Regular

    Member
    142
    41
    May 15, 2016
    United States
    Hey they aren't saying that A9LH will be patched, they are saying that Nintendo will release an update one day that 7.05 won't support.
     
    parisi and Ryccardo like this.
  8. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,704
    20,412
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    A9LH can't be patched out, that's not the issue. The issue is is that the last two CFW teams have basically dropped support for A9LH (Luma officially dropped support and ReiNAND will be dropping support.) This means anyone still using A9LH will not see CFW updates and thus any future issues caused by our of date patches will not be fixed. The most recent example being that Ever Oasis have a newer encryption that prevents the older CFWs from booting it.
     
    parisi likes this.
  9. addi33

    addi33 GBAtemp Advanced Maniac

    Member
    1,656
    711
    Sep 12, 2016
    Gambia, The
    well technically removing the arm9loader would kill a9lh
     
  10. comput3rus3r

    comput3rus3r GBAtemp Advanced Fan

    Member
    589
    185
    Aug 20, 2016
    United States
    Don't fix what ain't broke.
     
  11. KeoniAzugon

    KeoniAzugon Advanced Member

    Newcomer
    56
    19
    Mar 21, 2016
    United States
    It is like the issue when RXTools was still being used and A9LH came out. I was a RXTools user until N released an update that basically killed RXTools. A plus side with B9S is how fast it installs or can upgrade from A9LH, that was impressive. As it stands, the way the new Luma works is a plus side as well in how homebrew is launched. Based on all these facts I would definitely update but i have a missing button so i'm forced to wait till a replacement arrives.
     
    parisi likes this.
  12. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,704
    20,412
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    It's not that A9LH is broken or needs to be fixed, it that it's both lost support from Luma3DS and loosing support from everything else.
    Not to mention it literally takes less than 5 minutes to update and there's no risks to updating.
     
    parisi and KeoniAzugon like this.
  13. CrispyCola

    CrispyCola GBAtemp Regular

    Member
    224
    44
    Feb 8, 2017
    United States
    Sand
    Exactly


    Sent from my iPad using Tapatalk
     
    AyanamiRei and parisi like this.
  14. parisi
    OP

    parisi GBAtemp Regular

    Member
    161
    7
    Aug 21, 2015
    Gambia, The
    Thnx guys, i completed the guide and i updated luma, but im not sure if i did it correctly or not.
     

    Attached Files:

  15. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,858
    3,127
    Mar 16, 2012
    United States
    Yes, you completed it successfully.
     
    parisi likes this.
  16. parisi
    OP

    parisi GBAtemp Regular

    Member
    161
    7
    Aug 21, 2015
    Gambia, The
    So is it safe for me now to update my 3ds firmware to 11.5 version ?
     
  17. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    7,858
    3,127
    Mar 16, 2012
    United States
    Yes...
     
  18. parisi
    OP

    parisi GBAtemp Regular

    Member
    161
    7
    Aug 21, 2015
    Gambia, The
    Thnx :)